Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class GuestUserPreferencesManager

    java.lang.Object
      org.jasig.portal.UserPreferencesManager
          org.jasig.portal.GuestUserPreferencesManager

All Implemented Interfaces:
  IUserPreferencesManager

    public class GuestUserPreferencesManager

extends UserPreferencesManager

Multithreaded version of `UserPreferencesManager`.

Version:
  $Revision: 1.17.2.1 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com
See Also:
  `UserPreferencesManager`

Nested Class Summary
`private class` | `GuestUserPreferencesManager.MState`

Field Summary
`(package private) java.util.Hashtable` | `cached_profiles`
`(package private) LocaleManager` | `localeManager`
`private static org.apache.commons.logging.Log` | `log`
`(package private) IPerson` | `m_person`
`(package private) static boolean` | `SAVE_PROFILE_GUESSES`
`(package private) java.util.Hashtable` | `sp_cleanUPs`
`(package private) java.util.Hashtable` | `sp_layouts`
`(package private) java.util.Hashtable` | `ss_descripts`
`(package private) java.util.Map` | `stateTable`
`(package private) java.util.Hashtable` | `ts_descripts`
`(package private) java.util.Hashtable` | `up_cleanUPs`
`(package private) java.util.Hashtable` | `up_layouts`

Fields inherited from class org.jasig.portal.UserPreferencesManager
`uaMatcher, ulsdb`

Constructor Summary
`GuestUserPreferencesManager(IPerson person)` Initializing constructor.

Method Summary
`void` | `finishedSession(javax.servlet.http.HttpSessionBindingEvent bindingEvent)`
`void` | `finishedSession(javax.servlet.http.HttpSessionBindingEvent bindingEvent, java.lang.String sessionId)`
`protected java.lang.String` | `getChannelGlobalId(java.lang.String channelSubscribeId, java.lang.String sessionId)` Returns a global channel Id given a channel instance Id
`UserProfile` | `getCurrentProfile()` Returns current profile.
`UserProfile` | `getCurrentProfile(java.lang.String sessionId)` Returns current profile
`StructureStylesheetDescription` | `getStructureStylesheetDescription()` Returns current structure stylesheet description
`StructureStylesheetDescription` | `getStructureStylesheetDescription(java.lang.String sessionId)`
`ThemeStylesheetDescription` | `getThemeStylesheetDescription()` Returns current theme stylesheet description
`ThemeStylesheetDescription` | `getThemeStylesheetDescription(java.lang.String sessionId)`
`IUserLayoutManager` | `getUserLayoutManager()` Returns `IUserLayoutManager` object for performing layout-related operations.
`IUserLayoutManager` | `getUserLayoutManager(java.lang.String sessionId)`
`UserPreferences` | `getUserPreferences()` Returns current user preferences.
`UserPreferences` | `getUserPreferences(java.lang.String sessionId)`
`UserPreferences` | `getUserPreferencesCopy()` Returns a copy of the user preferences
`UserPreferences` | `getUserPreferencesCopy(java.lang.String sessionId)`
`boolean` | `isUserAgentUnmapped()` Determine if the user agent associated with this session has been successfuly mapped to a profile
`boolean` | `isUserAgentUnmapped(java.lang.String sessionId)`
`void` | `processUserPreferencesParameters(javax.servlet.http.HttpServletRequest req)`
`void` | `registerSession(javax.servlet.http.HttpServletRequest req)` Register arrival of a new session.
`void` | `setLocaleManager(LocaleManager lm)`
`void` | `setNewUserLayoutAndUserPreferences(IUserLayoutManager newLayout, UserPreferences newPreferences)`
`void` | `setNewUserLayoutAndUserPreferences(IUserLayoutManager newLayout, UserPreferences newPreferences, java.lang.String sessionId)`
`void` | `unbindSession(java.lang.String sessionId)` Unbinds a registered session.

Methods inherited from class org.jasig.portal.UserPreferencesManager
`getChannelPublishId, getPerson`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### stateTable

    java.util.Map stateTable

### sp_layouts

    java.util.Hashtable sp_layouts

### up_layouts

    java.util.Hashtable up_layouts

### sp_cleanUPs

    java.util.Hashtable sp_cleanUPs

### up_cleanUPs

    java.util.Hashtable up_cleanUPs

### ts_descripts

    java.util.Hashtable ts_descripts

### ss_descripts

    java.util.Hashtable ss_descripts

### cached_profiles

    java.util.Hashtable cached_profiles

### m_person

    IPerson m_person

### localeManager

    LocaleManager localeManager

### SAVE_PROFILE_GUESSES

    static final boolean SAVE_PROFILE_GUESSES

Constructor Detail

### GuestUserPreferencesManager

    public GuestUserPreferencesManager(IPerson person)

  Initializing constructor.

  Parameters:
    `person` - object

Method Detail

### unbindSession

    public void unbindSession(java.lang.String sessionId)

  Unbinds a registered session.

  Parameters:
    `sessionId` - a `String` value

### registerSession

    public void registerSession(javax.servlet.http.HttpServletRequest req)
                         throws PortalException

  Register arrival of a new session. Create and populate new state entry.

  Parameters:
    `req` - a `HttpServletRequest` value
  Throws:
    `PortalException` - if an error occurs

### processUserPreferencesParameters

    public void processUserPreferencesParameters(javax.servlet.http.HttpServletRequest req)

  Specified by:
    `processUserPreferencesParameters` in interface `IUserPreferencesManager`
  Overrides:
    `processUserPreferencesParameters` in class `UserPreferencesManager`

### getChannelGlobalId

    protected java.lang.String getChannelGlobalId(java.lang.String channelSubscribeId,
                                                  java.lang.String sessionId)
                                           throws PortalException

  Returns a global channel Id given a channel instance Id

  Returns:
    Channel's global Id
  Throws:
    `PortalException`

### isUserAgentUnmapped

    public boolean isUserAgentUnmapped(java.lang.String sessionId)

### isUserAgentUnmapped

    public boolean isUserAgentUnmapped()

  Description copied from interface: `IUserPreferencesManager`
  Determine if the user agent associated with this session has been successfuly mapped to a profile

  Specified by:
    `isUserAgentUnmapped` in interface `IUserPreferencesManager`
  Overrides:
    `isUserAgentUnmapped` in class `UserPreferencesManager`
  Returns:
    `true` if no mapping was found

### getUserPreferences

    public UserPreferences getUserPreferences(java.lang.String sessionId)

### getUserPreferences

    public UserPreferences getUserPreferences()

  Description copied from interface: `IUserPreferencesManager`
  Returns current user preferences.

  Specified by:
    `getUserPreferences` in interface `IUserPreferencesManager`
  Overrides:
    `getUserPreferences` in class `UserPreferencesManager`
  Returns:
    current `UserPreferences`

### setNewUserLayoutAndUserPreferences

    public void setNewUserLayoutAndUserPreferences(IUserLayoutManager newLayout,
                                                   UserPreferences newPreferences,
                                                   java.lang.String sessionId)
                                            throws PortalException

  Throws:
    `PortalException`

### setNewUserLayoutAndUserPreferences

    public void setNewUserLayoutAndUserPreferences(IUserLayoutManager newLayout,
                                                   UserPreferences newPreferences)
                                            throws PortalException

  Specified by:
    `setNewUserLayoutAndUserPreferences` in interface `IUserPreferencesManager`
  Overrides:
    `setNewUserLayoutAndUserPreferences` in class `UserPreferencesManager`
  Throws:
    `PortalException`

### getUserPreferencesCopy

    public UserPreferences getUserPreferencesCopy(java.lang.String sessionId)

### getUserPreferencesCopy

    public UserPreferences getUserPreferencesCopy()

  Description copied from interface: `IUserPreferencesManager`
  Returns a copy of the user preferences

  Specified by:
    `getUserPreferencesCopy` in interface `IUserPreferencesManager`
  Overrides:
    `getUserPreferencesCopy` in class `UserPreferencesManager`
  Returns:
    a copy of the `UserPreferences` object

### getCurrentProfile

    public UserProfile getCurrentProfile(java.lang.String sessionId)

  Returns current profile

  Returns:
    UserProfile

### getCurrentProfile

    public UserProfile getCurrentProfile()

  Description copied from interface: `IUserPreferencesManager`
  Returns current profile.

  Specified by:
    `getCurrentProfile` in interface `IUserPreferencesManager`
  Overrides:
    `getCurrentProfile` in class `UserPreferencesManager`
  Returns:
    current `UserProfile`

### getThemeStylesheetDescription

    public ThemeStylesheetDescription getThemeStylesheetDescription(java.lang.String sessionId)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getThemeStylesheetDescription

    public ThemeStylesheetDescription getThemeStylesheetDescription()

  Description copied from interface: `IUserPreferencesManager`
  Returns current theme stylesheet description

  Specified by:
    `getThemeStylesheetDescription` in interface `IUserPreferencesManager`
  Overrides:
    `getThemeStylesheetDescription` in class `UserPreferencesManager`
  Returns:
    current `ThemeStylesheetDescription`

### getStructureStylesheetDescription

    public StructureStylesheetDescription getStructureStylesheetDescription(java.lang.String sessionId)
                                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getStructureStylesheetDescription

    public StructureStylesheetDescription getStructureStylesheetDescription()

  Description copied from interface: `IUserPreferencesManager`
  Returns current structure stylesheet description

  Specified by:
    `getStructureStylesheetDescription` in interface `IUserPreferencesManager`
  Overrides:
    `getStructureStylesheetDescription` in class `UserPreferencesManager`
  Returns:
    current `StructureStylesheetDescription`

### getUserLayoutManager

    public IUserLayoutManager getUserLayoutManager(java.lang.String sessionId)

### getUserLayoutManager

    public IUserLayoutManager getUserLayoutManager()

  Description copied from interface: `IUserPreferencesManager`
  Returns `IUserLayoutManager` object for performing layout-related operations.

  Specified by:
    `getUserLayoutManager` in interface `IUserPreferencesManager`
  Overrides:
    `getUserLayoutManager` in class `UserPreferencesManager`
  Returns:
    an `IUserLayoutManager` value

### finishedSession

    public void finishedSession(javax.servlet.http.HttpSessionBindingEvent bindingEvent,
                                java.lang.String sessionId)

### finishedSession

    public void finishedSession(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

  Specified by:
    `finishedSession` in interface `IUserPreferencesManager`
  Overrides:
    `finishedSession` in class `UserPreferencesManager`

### setLocaleManager

    public void setLocaleManager(LocaleManager lm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD